---
id: target-closed
title: "'Target closed' error message"
sidebar_label: Target closed
---

This error message **comes up when a Chromium Tab crashes**. Read on for possible reasons for this message.

## Missing dependencies (Linux users)

Make sure that you [installed the necessary dependencies](/docs/#additional-step-for-linux-users) in Linux for running Chrome.

## Out of memory or CPU overload

A Chrome tab can crash if the process runs out of memory, or if the website stops responding because it uses the CPU too heavily.

- [Decrease the concurrency so each tab has more resources](/docs/cli/render#--concurrency)
- In Remotion Lambda, increase the memory size.

## Corrupt Google Chrome binary

Locate the binary that you are using to render the video. Run a test whether you can open Google Chrome / Chromium normally on this machine. Potentially reinstall the browser to fix the problem.

:::note
Add `--log=verbose` during a render to print the browser executable that is being used (from Remotion v2.6.7 on).
:::

Did none of these tips help? File an issue in the Remotion repository.
